0.9.9 API documenation: GLM_GTC_reciprocal

| 0.9.9 API documenation

Functions
GLM_GTC_reciprocal
Recommended extensions

## Functions
template<typename genType >
GLM_FUNC_DECL genType | acot (genType x)
template<typename genType >
GLM_FUNC_DECL genType | acoth (genType x)
template<typename genType >
GLM_FUNC_DECL genType | acsc (genType x)
template<typename genType >
GLM_FUNC_DECL genType | acsch (genType x)
template<typename genType >
GLM_FUNC_DECL genType | asec (genType x)
template<typename genType >
GLM_FUNC_DECL genType | asech (genType x)
template<typename genType >
GLM_FUNC_DECL genType | cot (genType angle)
template<typename genType >
GLM_FUNC_DECL genType | coth (genType angle)
template<typename genType >
GLM_FUNC_DECL genType | csc (genType angle)
template<typename genType >
GLM_FUNC_DECL genType | csch (genType angle)
template<typename genType >
GLM_FUNC_DECL genType | sec (genType angle)
template<typename genType >
GLM_FUNC_DECL genType | sech (genType angle)

## Detailed Description

Include <glm/gtc/reciprocal.hpp> to use the features of this extension.

Define secant, cosecant and cotangent functions.

## Function Documentation

## ◆ acot()

GLM_FUNC_DECL genType glm::acot | ( | genType | x | ) |

Inverse cotangent function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ acoth()

GLM_FUNC_DECL genType glm::acoth | ( | genType | x | ) |

Inverse cotangent hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ acsc()

GLM_FUNC_DECL genType glm::acsc | ( | genType | x | ) |

Inverse cosecant function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ acsch()

GLM_FUNC_DECL genType glm::acsch | ( | genType | x | ) |

Inverse cosecant hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ asec()

GLM_FUNC_DECL genType glm::asec | ( | genType | x | ) |

Inverse secant function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ asech()

GLM_FUNC_DECL genType glm::asech | ( | genType | x | ) |

Inverse secant hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ cot()

GLM_FUNC_DECL genType glm::cot | ( | genType | angle | ) |

Cotangent function.

adjacent / opposite or 1 / tan(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ coth()

GLM_FUNC_DECL genType glm::coth | ( | genType | angle | ) |

Cotangent hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ csc()

GLM_FUNC_DECL genType glm::csc | ( | genType | angle | ) |

Cosecant function.

hypotenuse / opposite or 1 / sin(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ csch()

GLM_FUNC_DECL genType glm::csch | ( | genType | angle | ) |

Cosecant hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ sec()

GLM_FUNC_DECL genType glm::sec | ( | genType | angle | ) |

Secant function.

hypotenuse / adjacent or 1 / cos(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

## ◆ sech()

GLM_FUNC_DECL genType glm::sech | ( | genType | angle | ) |

Secant hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal